#! /bin/bash

PROJECT="21.05"
BRANCH="21.05.x"
PAGELOCATIONFLAG='location'

cd '/var/www/translate/koha_'$BRANCH

echo "<html>" > index.html
echo "<head><title>Koha translation tables</title><script type=\"text/JavaScript\" src=\"scripts/tabsort.js\"></script></head>" >> index.html
echo "<body>" >> index.html
echo "<table width=\"100\%\"><tr><td valign=\"middle\"><a href=\"../index.html\"  style=\"text-decoration:none\">&#8593;</a></td><td valign=\"middle\" align=\"left\">" >> index.html
echo "<h1>Koha translation tables</h1>" >> index.html
echo "</td></table>" >> index.html
echo '<blockquote><table border="0" cellspacing="2" cellpadding="6"  class="sortable" >' >> index.html
echo "<thead title=\"sort\" class=\" c_0_c\"><tr>" >> index.html
echo "<th>LANG</th>" >> index.html
echo "<th>LOCALE</th>" >> index.html
echo "<th>BRANCH</th>" >> index.html
echo "<th>PROJECT</th>" >> index.html
echo "<th>OPAC</th>" >> index.html
echo "<th>STAFF</th>" >> index.html
echo "<th>LANGS</th>" >> index.html
echo "</tr></thead>" >> index.html
echo "<tbody>" >> index.html


# PROJECT  pootle project dir
# BRANCH   git-branch
# LOCALE_  po-file lang-prefix  (ex. LOCALE_-i-opac-t-prog-v-3006000.po")
# LANG_    pootle lang dir
# OPAC     ex. http://localhost
# STAFF    ex. http://localhost:8080
# LANGS    optional, LANG=LOCALE pairs separated by ":" like ru=ru-RU:be=be-BY:fr=fr-FR:pl=pl-PL

./all_uk.sh

#          PROJECT BRANCH  LOCALE_  LANG_        OPAC                   STAFF                 PAGELOCATIONFLAG     LANGS

./_all.sh  $PROJECT     $BRANCH  uk-UA    uk     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  ru=ru-RU:be=be-BY:fr=fr-FR:pl=pl-PL

./_all.sh  $PROJECT     $BRANCH  be-BY    be     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  ru=ru-RU:uk=uk-UA

./_all.sh  $PROJECT     $BRANCH  ru-RU    ru     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  uk=uk-UA

./_all.sh  $PROJECT     $BRANCH  it-IT    it     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  es-ES    es     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  is-IS    is     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  id-ID    id     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ja-Jpan-JP ja   http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  sv-SE    sv     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  cs-CZ    cs     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  hi       hi     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  hr-HR    hr     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  fi-FI    fi     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  tl-PH   fil     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  fr-CA  fr_CA    http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  fr=fr-FR

./_all.sh  $PROJECT     $BRANCH  fr-FR    fr     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  fo-FO    fo     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ur-Arab  ur     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  hu-HU    hu     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  tr-TR    tr     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ta-LK ta_LK     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ta       ta     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  th-THA   th     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  sw-SW    sw     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  sl-SI    sl     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  sk-SK    sk     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  sd-PK    sd     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  sr-Cyrl  sr     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ro-RO    ro     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  pt-BR pt_BR     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  pt=pt-BR

./_all.sh  $PROJECT     $BRANCH  pt-PT    pt     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  pl-PL    pl     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  fa-Arab  fa     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  de-CH de_CH     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  de=de-DE

./_all.sh  $PROJECT     $BRANCH  de-DE    de     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  nn-NO    nn     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  nb=nb-NO

./_all.sh  $PROJECT     $BRANCH  nb-NO    nb     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  nn=nn-NO

./_all.sh  $PROJECT     $BRANCH  ne-NE    ne     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  mon     mon     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  mr       mr     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  mi-NZ    mi     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ms-MY    ms     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  lo-Laoo  lo     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ku       ku     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ko-Kore-KP ko     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  zh_hans-TW zh_TW     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  zh_CN=zh-Hans-CN

./_all.sh  $PROJECT     $BRANCH  zh-Hans-CN zh_CN     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  zh_TW=zh_hans-TW

./_all.sh  $PROJECT     $BRANCH  kn-Knda  kn     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  da-DK    da     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  el-GR    el     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  gl       gl     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  hy-Armn  hy     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  vi-VN    vi     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  bg-Cyrl  bg     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ben      bn     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  eu       eu     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ar-Arab  ar     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  en-NZ en_NZ     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  en-GB en_GB     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  am-Ethi  am     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  sq-AL    sq     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  az-AZ    az     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  he-Hebr  he     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  tet     tet     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  pbr     pbr     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  nl-NL nl_NL     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  nl-BE    nl     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  prs     prs     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

./_all.sh  $PROJECT     $BRANCH  ca-ES ca_ES     http://localhost:80  http://localhost:8080  $PAGELOCATIONFLAG  

echo "</tbody></table></blockquote>" >> index.html

tar -cvjf "koha_translation_tables_"$BRANCH"_scripts.tar.bz2" *.sh scripts/* README
echo "Scripts source: <a href=\"koha_translation_tables_"$BRANCH"_scripts.tar.bz2\">koha_translation_tables_"$BRANCH"_scripts.tar.bz2</a>" >> index.html

echo "<p align=\"right\"><font size=\"-1\" color=\"grey\"><i> Updated: " >> index.html
LANG=C date >>  index.html
echo "</i></font></p>" >> index.html

echo "</body>" >> index.html
echo "</html>" >> index.html

"/var/www/translate/koha_"$BRANCH"/compare_uk.sh"
