#! /bin/bash

PROJECT="21.05"
BRANCH="21.05.x"
LOCALE_=uk-UA
LANG_=uk
OPAC=http://localhost:80
STAFF=http://localhost:8080
LANGS="ru=ru-RU:be=be-BY:fr=fr-FR:pl=pl-PL"
PAGELOCATIONFLAG='location'
#time_shtamp=$(date +%Y-%m-%d_%H-%M)
year_folder=$(date +%Y)
time_folder=$(date +%Y%m%d)

cd '/var/www/translate/koha_'$BRANCH

browser=iceweasel

if [ ! -d "archive" ]; then
   mkdir archive
fi
if [ ! -d "archive/"$year_folder ]; then
   mkdir archive/$year_folder
fi
if [ ! -d "archive/"$year_folder/$time_folder ]; then
   mkdir archive/$year_folder/$time_folder
fi


if [ ! -d "languages" ]; then
   mkdir languages
fi
cd languages


if [ ! -d "$LANG_" ]; then
  mkdir $LANG_
fi
cd $LANG_

echo "<html>" > index.html
echo "<head><title>Translation tables for language "$LANG_"("$LOCALE_")</title></head>" >> index.html
echo "<body>" >> index.html
echo "<table width=\"100\%\"><tr><td valign=\"middle\"><a href=\"../../index.html\"  style=\"text-decoration:none\">&#8593;</a></td><td valign=\"middle\" align=\"center\">" >> index.html
echo "<h1>Translation tables for language "$LANG_"("$LOCALE_")</h1>" >> index.html
echo "</td></table>" >> index.html
echo "<ul>" >> index.html


../../scripts/_wget_po_from_Koha_web.sh   $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF $PAGELOCATIONFLAG $LANGS 

cp uk-UA-installer-MARC21.po ../../archive/$year_folder/$time_folder/uk-UA-installer-MARC21.po
cp uk-UA-installer.po        ../../archive/$year_folder/$time_folder/uk-UA-installer.po
cp uk-UA-marc-MARC21.po      ../../archive/$year_folder/$time_folder/uk-UA-marc-MARC21.po
cp uk-UA-marc-NORMARC.po     ../../archive/$year_folder/$time_folder/uk-UA-marc-NORMARC.po
cp uk-UA-marc-UNIMARC.po     ../../archive/$year_folder/$time_folder/uk-UA-marc-UNIMARC.po
cp uk-UA-opac-bootstrap.po   ../../archive/$year_folder/$time_folder/uk-UA-opac-bootstrap.po
cp uk-UA-pref.po             ../../archive/$year_folder/$time_folder/uk-UA-pref.po
cp uk-UA-staff-prog.po       ../../archive/$year_folder/$time_folder/uk-UA-staff-prog.po
cp uk-UA-messages.po         ../../archive/$year_folder/$time_folder/uk-UA-messages.po
cp uk-UA-messages-js.po      ../../archive/$year_folder/$time_folder/uk-UA-messages-js.po

# uk-UA-installer.po
# uk-UA-installer-MARC21.po
# uk-UA-marc-MARC21.po
# uk-UA-marc-NORMARC.po
# uk-UA-marc-UNIMARC.po
# uk-UA-opac-bootstrap.po
# uk-UA-pref.po
# uk-UA-staff-prog.po
# uk-UA-messages.po
# uk-UA-messages-js.po

../../scripts/_po_parse_koha_installer.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-installer.po.html/index.html"
echo '<li><a href="'"$LOCALE_-installer.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-installer.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__installer_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_installer_MARC21.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-installer-MARC21.po.html/index.html"
echo '<li><a href="'"$LOCALE_-installer-MARC21.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-installer-MARC21.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__installer_MARC21_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_opac_bootstrap.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF   $PAGELOCATIONFLAG  $LANGS
#$browser "$LOCALE_-opac-bootstrap.po.html/index.html"
echo '<li><a href="'"$LOCALE_-opac-bootstrap.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-opac-bootstrap.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__opac_bootstrap_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_staff_prog.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-i-staff-t-prog-v-$VER.po.html/index.html"
echo '<li><a href="'"$LOCALE_-staff-prog.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-staff-prog.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__staff_prog_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html


../../scripts/_po_parse_koha_marc_UNIMARC.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-marc-UNIMARC.po.html/index.html"
echo '<li><a href="'"$LOCALE_-marc-UNIMARC.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-marc-UNIMARC.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__marc_UNIMARC_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_marc_MARC21.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-marc-MARC21.po.html/index.html"
echo '<li><a href="'"$LOCALE_-marc-MARC21.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-marc-MARC21.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__marc_MARC21_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_marc_NORMARC.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-marc-NORMARC.po.html/index.html"
echo '<li><a href="'"$LOCALE_-marc-NORMARC.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-marc-NORMARC.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__marc_NORMARC_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_messages.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF   $PAGELOCATIONFLAG  $LANGS
#$browser "$LOCALE_-messages.po.html/index.html"
echo '<li><a href="'"$LOCALE_-messages.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-messages.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__messages_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_messages-js.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF   $PAGELOCATIONFLAG  $LANGS
#$browser "$LOCALE_-messages-js.po.html/index.html"
echo '<li><a href="'"$LOCALE_-messages-js.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-messages-js.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__messages-js_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

#../../scripts/_po_parse_koha_staff_help.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-staff-help.po.html/index.html"
#echo '<li><a href="'"$LOCALE_-staff-help.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-staff-help.po</b></font>"'</a>' >> index.html
#echo ' (<a href="'"po_parse__staff_help_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

echo "</ul>" >> index.html

echo "<p align=\"right\"><font size=\"-1\" color=\"grey\"><i> Updated: " >> index.html
LANG=C date >>  index.html
echo "</i></font></p>" >> index.html

echo "</body>" >> index.html
echo "</html>" >> index.html

